Package org.bukkit.event.entity

# Enum Class CreeperPowerEvent.PowerCause

java.lang.Object
java.lang.Enum<CreeperPowerEvent.PowerCause>
org.bukkit.event.entity.CreeperPowerEvent.PowerCause

All Implemented Interfaces:
  `Serializable`, `Comparable<CreeperPowerEvent.PowerCause>`, `Constable`

Enclosing class:
  CreeperPowerEvent

public static enum CreeperPowerEvent.PowerCause extends Enum<CreeperPowerEvent.PowerCause>
An enum to specify the cause of the change in power

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LIGHTNING`
Power change caused by a lightning bolt
`SET_OFF`
Power change caused by something else (probably a plugin)
`SET_ON`
Power change caused by something else (probably a plugin)

## Method Summary

Modifier and Type
Method
Description
`static CreeperPowerEvent.PowerCause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CreeperPowerEvent.PowerCause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LIGHTNING

public static final CreeperPowerEvent.PowerCause LIGHTNING
Power change caused by a lightning bolt

Powered state: true

### SET_ON

public static final CreeperPowerEvent.PowerCause SET_ON
Power change caused by something else (probably a plugin)

Powered state: true

### SET_OFF

public static final CreeperPowerEvent.PowerCause SET_OFF
Power change caused by something else (probably a plugin)

Powered state: false

## Method Details

### values

public static CreeperPowerEvent.PowerCause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CreeperPowerEvent.PowerCause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null